Index: /trunk/src/bp-core/admin/bp-core-admin-tools.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-tools.php	(revision 13797)
+++ /trunk/src/bp-core/admin/bp-core-admin-tools.php	(revision 13798)
@@ -928,5 +928,5 @@
 			),
 			'BP_SIGNUPS_SKIP_USER_CREATION' => array(
-				'label' => 'BP_SIGNUPS_SKIP_USER_CREATION',
+				'label' => 'BP_SIGNUPS_SKIP_USER_CREATION (deprecated)',
 				'value' => defined( 'BP_SIGNUPS_SKIP_USER_CREATION' ) && BP_SIGNUPS_SKIP_USER_CREATION ? __( 'Enabled', 'buddypress' ) : __( 'Disabled', 'buddypress' ),
 				'debug' => defined( 'BP_SIGNUPS_SKIP_USER_CREATION' ) ? BP_SIGNUPS_SKIP_USER_CREATION : 'undefined',
Index: /trunk/src/bp-members/bp-members-functions.php
===================================================================
--- /trunk/src/bp-members/bp-members-functions.php	(revision 13797)
+++ /trunk/src/bp-members/bp-members-functions.php	(revision 13798)
@@ -1859,19 +1859,24 @@
 		$user_email     = sanitize_email( $user_email );
 		$activation_key = wp_generate_password( 32, false );
+		$create_user    = false;
+
+		// @deprecated.
+		if ( defined( 'BP_SIGNUPS_SKIP_USER_CREATION' ) ) {
+			_doing_it_wrong( 'BP_SIGNUPS_SKIP_USER_CREATION', esc_html__( 'the `BP_SIGNUPS_SKIP_USER_CREATION` constant is deprecated as skipping user creation is now the default behavior.', 'buddypress' ), 'BuddyPress 14.0.0' );
+
+			// Creating a user is the opposite of skipping user creation.
+			$create_user = ! BP_SIGNUPS_SKIP_USER_CREATION;
+		}
 
 		/**
-		 * WordPress's default behavior is to create user accounts
-		 * immediately at registration time. BuddyPress uses a system
-		 * borrowed from WordPress Multisite, where signups are stored
-		 * separately and accounts are only created at the time of
-		 * activation. For backward compatibility with plugins that may
-		 * be anticipating WP's default behavior, BP silently creates
-		 * accounts for registrations (though it does not use them). If
-		 * you know that you are not running any plugins dependent on
-		 * these pending accounts, you may want to save a little DB
-		 * clutter by defining setting the BP_SIGNUPS_SKIP_USER_CREATION
-		 * to true in your wp-config.php file.
+		 * Filter here to keep creating a user when a registration is performed on regular WordPress configs.
+		 *
+		 * @since 14.0.0
+		 * @todo Fully deprecate in 15.0.0
+		 *
+		 * @param boolean $create_user True to carry on creating a user when a registration is performed.
+		 *                             False otherwise.
 		 */
-		if ( ! defined( 'BP_SIGNUPS_SKIP_USER_CREATION' ) || ! BP_SIGNUPS_SKIP_USER_CREATION ) {
+		if ( apply_filters( 'bp_signups_create_user', $create_user ) ) {
 			$user_id = BP_Signup::add_backcompat( $user_login, $user_password, $user_email, $usermeta );
 
@@ -2018,5 +2023,11 @@
 			$user_id = wp_create_user( $signup->user_login, $password, $signup->user_email );
 
-		// Otherwise, update the existing user's status.
+			/*
+			 * @todo Remove this `elseif` statement in version 15.0.0.
+			 *
+			 * Since 2.0.0 BuddyPress is using the $wpdb->signups table even in regular WordPress configs.
+			 * In 14.0.0, we are deprecating the `BP_SIGNUPS_SKIP_USER_CREATION` as well as creating a user
+			 * each time a registration is performed.
+			 */
 		} elseif ( $key === bp_get_user_meta( $user_id, 'activation_key', true ) || $key === wp_hash( $user_id ) ) {
 
Index: /trunk/src/bp-members/classes/class-bp-signup.php
===================================================================
--- /trunk/src/bp-members/classes/class-bp-signup.php	(revision 13797)
+++ /trunk/src/bp-members/classes/class-bp-signup.php	(revision 13798)
@@ -534,4 +534,5 @@
 	 *
 	 * @since 2.0.0
+	 * @deprecated 14.0.0
 	 *
 	 * @global wpdb $wpdb The WordPress database object.
@@ -544,4 +545,6 @@
 	 */
 	public static function add_backcompat( $user_login = '', $user_password = '', $user_email = '', $usermeta = array() ) {
+		_deprecated_function( __METHOD__, '14.0.0' );
+
 		global $wpdb;
 
@@ -604,8 +607,9 @@
 		 *
 		 * @since 10.0.0
+		 * @deprecated 14.0.0
 		 *
 		 * @param int $user_id ID of the WP_User just added.
 		 */
-		do_action( 'bp_core_signups_after_add_backcompat', $user_id );
+		do_action_deprecated( 'bp_core_signups_after_add_backcompat', array( $user_id ), '14.0.0' );
 
 		/**
@@ -613,8 +617,9 @@
 		 *
 		 * @since 2.0.0
+		 * @deprecated 14.0.0
 		 *
 		 * @param int $user_id User ID being registered.
 		 */
-		return apply_filters( 'bp_core_signups_add_backcompat', $user_id );
+		return apply_filters_deprecated( 'bp_core_signups_add_backcompat', array( $user_id ), '14.0.0' );
 	}
 